Loading...
Searching...
No Matches
ReadMap< K, T > Class Template Reference
Concepts » Map Concepts

## Detailed Description

template<typename K, typename T>
class lemon::concepts::ReadMap< K, T >

Readable map concept.

`#include <lemon/concepts/maps.h>`

Inheritance diagram for ReadMap< K, T >:
[legend]

## Public Types

typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).

## Public Member Functions

Value | operator[] (const Key &) const
| Returns the value associated with the given key.